usermessage.Hook( "ChatStuff", function()

 

//this is pretty straight forward, you add ChatTable[ The new number, in this case it's 3 ] = { color = Color( 0,0,0,0 ), text = "Your text" }

// make sure the numbers go like 1,2,3,4,5,6 etc.

ChatTable = {}

ChatTable[1] = { color = Color( 0, 0, 255, 255 ), text = "Press F2 or type !shop for weapons" }

ChatTable[2] = { color = Color( 255, 25, 25, 255 ), text = "Type !report to report abusive admins" }

ChatTable[3] = { color = Color( 0, 255, 0, 255 ), text = "Want to be admin? type !apply, add me and then comment your application" }

 

local CP = math.random( 1, #ChatTable )

chat.AddText(  ChatTable[CP].color, ChatTable[ CP ].text )

surface.PlaySound("buttons/button14.wav")

end )



hook.Add( "OnEntityCreated", "RemoveRagdolls2", function ( ent )



if (ent == NULL) or (ent == nil) then return end

if (ent:GetClass() == "class C_ClientRagdoll") then 

if ent:IsValid() and !(ent == NULL) then

SafeRemoveEntityDelayed(ent,3) 

end

end 

end )